package intrinsic.mx.skins.halo;

public class HaloFocusRect extends intrinsic.mx.skins.ProgrammaticSkin implements intrinsic.mx.styles.IStyleClient {

	/** Accessors */
	public String className;
	public intrinsic.mx.styles.CSSStyleDeclaration styleDeclaration;
	public Object nonInheritingStyles;
	public Object inheritingStyles;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public HaloFocusRect() {
}


/** Static Methods */

/** Methods */
public native Object getStyle(String arg0);
public native void regenerateStyleCache(boolean arg0);
public native void registerEffects(intrinsic.Array arg0);
public native void clearStyle(String arg0);
public native intrinsic.Array getClassStyleDeclarations();
public native void notifyStyleChangeInChildren(String arg0, boolean arg1);
public native void setStyle(String arg0, Object arg1);

}
